/**
 * MARCHandler.java Version 0.1, October 2001
 *
 * Copyright (C) 2001  Bas Peters (mail@bpeters.com)
 *
 * This file is part of James (Java MARC Events).
 *
 * James is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * James is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with James; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **/

package com.bpeters.james;

public interface MARCHandler {

    public abstract void startTape();

    public abstract void endTape();

    public abstract void startRecord(Leader leader);

    public abstract void endRecord();

    public abstract void controlField(String tag, char[] data);

    public abstract void startDataField(String tag, char ind1, char ind2);

    public abstract void endDataField(String tag);

    public abstract void subfield(char code, char[] data);

}

// End of MARCHandler.java
