/**
 * Tag.java Version 0.1, October 2001
 *
 * Copyright (C) 2001  Bas Peters (mail@bpeters.com)
 *
 * This file is part of James (Java MARC Events).
 *
 * James is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * James is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with James; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 **/

package com.bpeters.james.datatype;

public class Tag extends Datatype {

    public static boolean isValid(String tag) {
	boolean isUppercase = false;
	if (tag.length() != 3)
	    return false;
	for (int i = 0; i < tag.length(); i++) {
	    char c = tag.charAt(i);
	    if (! isDigit(c) ||
		isLowercaseLetter(c) ||
		isUppercaseLetter(c))
		return false;
	}
	return true;
    }

    public static boolean isControlField(String tag) {
	char c = tag.charAt(2);
	if ((int)tag.charAt(0) != 48)
	    return false;
	if ((int)tag.charAt(1) != 48)
	    return false;
	if (! isDigit(c))
	    return false;
	return true;
    }

    public static boolean isDataField(String tag) {
	if (! isControlField(tag))
	    return true;
	return false;
    }

}

// End of Tag.java
